import * as i1 from '@angular/cdk/bidi';
import { BidiModule } from '@angular/cdk/bidi';
import * as i4 from '@angular/cdk/overlay';
import { OverlayModule } from '@angular/cdk/overlay';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, ViewEncapsulation, forwardRef, Input, NgModule } from '@angular/core';
import { NzCascaderOptionComponent, NzCascaderComponent, NzCascaderService, NzCascaderModule } from 'ng-zorro-antd/cascader';
import { NzDestroyService } from 'ng-zorro-antd/core/services';
import * as i3$1 from '@angular/forms';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import { slideMotion } from 'ng-zorro-antd/core/animation';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i5 from 'ng-zorro-antd/empty';
import { NzEmptyModule } from 'ng-zorro-antd/empty';
import * as i6 from 'ng-zorro-antd/core/no-animation';
import { NzNoAnimationModule } from 'ng-zorro-antd/core/no-animation';
import * as i7 from 'ng-zorro-antd/core/overlay';
import { NzOverlayModule } from 'ng-zorro-antd/core/overlay';
import * as i8 from 'ng-zorro-antd/core/form';
import { NzFormPatchModule } from 'ng-zorro-antd/core/form';
import * as i2$1 from 'ng-zorro-antd/core/outlet';
import { NzOutletModule } from 'ng-zorro-antd/core/outlet';
import * as i3 from 'ng-zorro-antd/core/highlight';
import { NzHighlightModule } from 'ng-zorro-antd/core/highlight';
import { NzIconModule } from 'ng-zorro-antd/icon';

class CascaderOptionComponent extends NzCascaderOptionComponent {
}
CascaderOptionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: CascaderOptionComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
CascaderOptionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.11", type: CascaderOptionComponent, selector: "[eo-ng-cascader-option]", host: { properties: { "attr.title": "option.title || optionLabel", "class.ant-cascader-menu-item-active": "activated", "class.ant-cascader-menu-item-expand": "!option.isLeaf", "class.ant-cascader-menu-item-disabled": "option.disabled" } }, usesInheritance: true, ngImport: i0, template: "<!--\n * @Author: maggie im.ymj@hotmail.com\n * @Date: 2022-07-09 12:21:13\n * @LastEditors: maggie im.ymj@hotmail.com\n * @LastEditTime: 2022-07-09 12:22:14\n * @FilePath: /ui/projects/eo-ng-cascader/src/lib/cascader-li/cascader-li.component.html\n * @Description: \u8FD9\u662F\u9ED8\u8BA4\u8BBE\u7F6E,\u8BF7\u8BBE\u7F6E`customMade`, \u6253\u5F00koroFileHeader\u67E5\u770B\u914D\u7F6E \u8FDB\u884C\u8BBE\u7F6E: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE\n-->\n<ng-container *ngIf=\"optionTemplate; else defaultOptionTemplate\">\n  <ng-template\n    [ngTemplateOutlet]=\"optionTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: option, index: columnIndex }\"\n  ></ng-template>\n</ng-container>\n<ng-template #defaultOptionTemplate>\n  <div\n    class=\"ant-cascader-menu-item-content\"\n    [innerHTML]=\"\n      optionLabel\n        | nzHighlight: highlightText:'g':'ant-cascader-menu-item-keyword'\n    \"\n  ></div>\n</ng-template>\n<div\n  *ngIf=\"!option.isLeaf || option.children?.length || option.loading\"\n  class=\"ant-cascader-menu-item-expand-icon\"\n>\n  <svg *ngIf=\"option.loading; else icon\" class=\"iconpark-icon\">\n    <use href=\"#loading\"></use>\n  </svg>\n  <ng-template #icon>\n    <ng-container *nzStringTemplateOutlet=\"expandIcon\">\n      <svg class=\"iconpark-icon\">\n        <use [attr.href]=\"'#' + $any(expandIcon)\"></use>\n      </svg>\n    </ng-container>\n  </ng-template>\n</div>\n", dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.NzStringTemplateOutletDirective, selector: "[nzStringTemplateOutlet]", inputs: ["nzStringTemplateOutletContext", "nzStringTemplateOutlet"], exportAs: ["nzStringTemplateOutlet"] }, { kind: "pipe", type: i3.NzHighlightPipe, name: "nzHighlight" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: CascaderOptionComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, selector: "[eo-ng-cascader-option]", host: {
                        "[attr.title]": "option.title || optionLabel",
                        "[class.ant-cascader-menu-item-active]": "activated",
                        "[class.ant-cascader-menu-item-expand]": "!option.isLeaf",
                        "[class.ant-cascader-menu-item-disabled]": "option.disabled",
                    }, template: "<!--\n * @Author: maggie im.ymj@hotmail.com\n * @Date: 2022-07-09 12:21:13\n * @LastEditors: maggie im.ymj@hotmail.com\n * @LastEditTime: 2022-07-09 12:22:14\n * @FilePath: /ui/projects/eo-ng-cascader/src/lib/cascader-li/cascader-li.component.html\n * @Description: \u8FD9\u662F\u9ED8\u8BA4\u8BBE\u7F6E,\u8BF7\u8BBE\u7F6E`customMade`, \u6253\u5F00koroFileHeader\u67E5\u770B\u914D\u7F6E \u8FDB\u884C\u8BBE\u7F6E: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE\n-->\n<ng-container *ngIf=\"optionTemplate; else defaultOptionTemplate\">\n  <ng-template\n    [ngTemplateOutlet]=\"optionTemplate\"\n    [ngTemplateOutletContext]=\"{ $implicit: option, index: columnIndex }\"\n  ></ng-template>\n</ng-container>\n<ng-template #defaultOptionTemplate>\n  <div\n    class=\"ant-cascader-menu-item-content\"\n    [innerHTML]=\"\n      optionLabel\n        | nzHighlight: highlightText:'g':'ant-cascader-menu-item-keyword'\n    \"\n  ></div>\n</ng-template>\n<div\n  *ngIf=\"!option.isLeaf || option.children?.length || option.loading\"\n  class=\"ant-cascader-menu-item-expand-icon\"\n>\n  <svg *ngIf=\"option.loading; else icon\" class=\"iconpark-icon\">\n    <use href=\"#loading\"></use>\n  </svg>\n  <ng-template #icon>\n    <ng-container *nzStringTemplateOutlet=\"expandIcon\">\n      <svg class=\"iconpark-icon\">\n        <use [attr.href]=\"'#' + $any(expandIcon)\"></use>\n      </svg>\n    </ng-container>\n  </ng-template>\n</div>\n" }]
        }] });

/* eslint-disable quotes */
class CascaderComponent extends NzCascaderComponent {
    constructor() {
        super(...arguments);
        this.nzSuffixDownIcon = "up";
    }
}
CascaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: CascaderComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
CascaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.11", type: CascaderComponent, selector: "eo-ng-cascader, [eo-ng-cascader]", inputs: { nzSuffixDownIcon: "nzSuffixDownIcon" }, host: { properties: { "attr.tabIndex": "\"0\"", "class.ant-select-in-form-item": "!!nzFormStatusService", "class.ant-select-lg": "nzSize === \"large\"", "class.ant-select-sm": "nzSize === \"small\"", "class.ant-select-allow-clear": "nzAllowClear", "class.ant-select-show-arrow": "nzShowArrow", "class.ant-select-show-search": "!!nzShowSearch", "class.ant-select-disabled": "nzDisabled", "class.ant-select-open": "menuVisible", "class.ant-select-focused": "isFocused", "class.ant-select-single": "true", "class.ant-select-rtl": "dir ==='rtl'" } }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => CascaderComponent),
            multi: true,
        },
        NzCascaderService,
        NzDestroyService,
    ], usesInheritance: true, ngImport: i0, template: "<div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\" #trigger>\n  <ng-container *ngIf=\"nzShowInput\">\n    <div #selectContainer class=\"ant-select-selector\">\n      <span class=\"ant-select-selection-search\">\n        <input\n          #input\n          type=\"search\"\n          class=\"ant-select-selection-search-input\"\n          [style.opacity]=\"nzShowSearch ? '' : '0'\"\n          [attr.autoComplete]=\"'off'\"\n          [attr.expanded]=\"menuVisible\"\n          [attr.autofocus]=\"nzAutoFocus ? 'autofocus' : null\"\n          [readonly]=\"!nzShowSearch\"\n          [disabled]=\"nzDisabled\"\n          [(ngModel)]=\"inputValue\"\n          (blur)=\"handleInputBlur()\"\n          (focus)=\"handleInputFocus()\"\n        />\n      </span>\n      <span\n        *ngIf=\"showLabelRender\"\n        class=\"ant-select-selection-item\"\n        [title]=\"labelRenderText\"\n      >\n        <ng-container *ngIf=\"!isLabelRenderTemplate; else labelTemplate\">{{\n          labelRenderText\n        }}</ng-container>\n        <ng-template #labelTemplate>\n          <ng-template\n            [ngTemplateOutlet]=\"nzLabelRender\"\n            [ngTemplateOutletContext]=\"labelRenderContext\"\n          ></ng-template>\n        </ng-template>\n      </span>\n      <span\n        *ngIf=\"!showLabelRender\"\n        class=\"ant-select-selection-placeholder\"\n        [style.visibility]=\"!inputValue ? 'visible' : 'hidden'\"\n        >{{\n          showPlaceholder ? nzPlaceHolder || locale.placeholder : null\n        }}</span\n      >\n    </div>\n    <span\n      class=\"ant-select-arrow\"\n      [class.ant-select-arrow-loading]=\"isLoading\"\n      *ngIf=\"nzShowArrow\"\n    >\n      <svg\n        class=\"iconpark-icon\"\n        *ngIf=\"!isLoading && menuVisible\"\n        [class.ant-cascader-picker-arrow-expand]=\"menuVisible\"\n      >\n        <use [attr.href]=\"'#' + $any(nzSuffixIcon)\"></use>\n      </svg>\n      <svg\n        class=\"iconpark-icon\"\n        *ngIf=\"!isLoading && menuVisible\"\n        [class.ant-cascader-picker-arrow-expand]=\"menuVisible\"\n      >\n        <use [attr.href]=\"'#' + $any(nzSuffixDownIcon)\"></use>\n      </svg>\n      <svg class=\"iconpark-icon loading-icon\" *ngIf=\"isLoading\">\n        <use href=\"#loading\"></use>\n      </svg>\n      <nz-form-item-feedback-icon\n        *ngIf=\"hasFeedback && !!status\"\n        [status]=\"status\"\n      ></nz-form-item-feedback-icon>\n    </span>\n    <span class=\"ant-select-clear\" *ngIf=\"clearIconVisible\">\n      <svg class=\"iconpark-icon\" (click)=\"clearSelection($event)\">\n        <use href=\"#close\"></use>\n      </svg>\n    </span>\n  </ng-container>\n  <ng-content></ng-content>\n</div>\n<ng-template\n  cdkConnectedOverlay\n  nzConnectedOverlay\n  [cdkConnectedOverlayHasBackdrop]=\"nzBackdrop\"\n  [cdkConnectedOverlayOrigin]=\"origin\"\n  [cdkConnectedOverlayPositions]=\"positions\"\n  [cdkConnectedOverlayTransformOriginOn]=\"'.ant-cascader-dropdown'\"\n  [cdkConnectedOverlayOpen]=\"menuVisible\"\n  (overlayOutsideClick)=\"onClickOutside($event)\"\n  (detach)=\"closeMenu()\"\n>\n  <div\n    class=\"ant-select-dropdown ant-cascader-dropdown ant-select-dropdown-placement-bottomLeft\"\n    [class.ant-cascader-dropdown-rtl]=\"dir === 'rtl'\"\n    [@slideMotion]=\"'enter'\"\n    [@.disabled]=\"noAnimation?.nzNoAnimation\"\n    [nzNoAnimation]=\"noAnimation?.nzNoAnimation\"\n    (mouseenter)=\"onTriggerMouseEnter()\"\n    (mouseleave)=\"onTriggerMouseLeave($event)\"\n  >\n    <div\n      #menu\n      class=\"ant-cascader-menus\"\n      [class.ant-cascader-rtl]=\"dir === 'rtl'\"\n      [class.ant-cascader-menus-hidden]=\"!menuVisible\"\n      [class.ant-cascader-menu-empty]=\"shouldShowEmpty\"\n      [ngClass]=\"menuCls\"\n      [ngStyle]=\"nzMenuStyle\"\n    >\n      <ul\n        *ngIf=\"shouldShowEmpty; else hasOptionsTemplate\"\n        class=\"ant-cascader-menu\"\n        [style.width]=\"dropdownWidthStyle\"\n        [style.height]=\"dropdownHeightStyle\"\n      >\n        <li class=\"ant-cascader-menu-item ant-cascader-menu-item-disabled\">\n          <nz-embed-empty\n            class=\"ant-cascader-menu-item-content\"\n            [nzComponentName]=\"'cascader'\"\n            [specificContent]=\"nzNotFoundContent\"\n          ></nz-embed-empty>\n        </li>\n      </ul>\n      <ng-template #hasOptionsTemplate>\n        <ul\n          *ngFor=\"let options of cascaderService.columns; let i = index\"\n          class=\"ant-cascader-menu\"\n          role=\"menuitemcheckbox\"\n          [ngClass]=\"menuColumnCls\"\n          [style.height]=\"dropdownHeightStyle\"\n          [style.width]=\"dropdownWidthStyle\"\n        >\n          <li\n            eo-ng-cascader-option\n            *ngFor=\"let option of options\"\n            [expandIcon]=\"nzExpandIcon\"\n            [columnIndex]=\"i\"\n            [nzLabelProperty]=\"nzLabelProperty\"\n            [optionTemplate]=\"nzOptionRender\"\n            [activated]=\"isOptionActivated(option, i)\"\n            [highlightText]=\"inSearchingMode ? inputValue : ''\"\n            [option]=\"option\"\n            [dir]=\"dir\"\n            (mouseenter)=\"onOptionMouseEnter(option, i, $event)\"\n            (mouseleave)=\"onOptionMouseLeave(option, i, $event)\"\n            (click)=\"onOptionClick(option, i, $event)\"\n          ></li>\n        </ul>\n      </ng-template>\n    </div>\n  </div>\n</ng-template>\n", styles: [".ant-select-selection-item{display:flex;align-items:center}.ant-select:not(.ant-select-customize-input) .ant-select-selector{background-color:var(--BTN_PRIMARY_TEXT);border-color:var(--BORDER);border-radius:var(--DEFAULT_BORDER_RADIUS)}.ant-input-group.ant-input-group-compact>.ant-cascader-picker-focused .ant-input,.ant-input-group.ant-input-group-compact>.ant-cascader-picker .ant-input,.ant-input-group.ant-input-group-compact>.ant-select .ant-select-selector{border-radius:0!important}.ant-input-group.ant-input-group-compact>.ant-cascader-picker-focused:last-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-cascader-picker:last-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select:last-child .ant-select-selector{border-top-right-radius:var(--DEFAULT_BORDER_RADIUS)!important;border-bottom-right-radius:var(--DEFAULT_BORDER_RADIUS)!important}.ant-input-group.ant-input-group-compact>.ant-cascader-picker:first-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select-auto-complete:first-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select:first-child>.ant-select-selector,.ant-input-group.ant-input-group-compact>:first-child{border-top-left-radius:var(--DEFAULT_BORDER_RADIUS)!important;border-bottom-left-radius:var(--DEFAULT_BORDER_RADIUS)!important}.ant-select:not(.ant-select-status-error):not(.ant-select-status-warning):not(.ant-select-borderless):not(.ant-select-disabled):hover .ant-select-selector{background-color:var(--BTN_PRIMARY_TEXT);border-color:var(--MAIN_THEME_COLOR);z-index:1}.ant-select-focused:not(.ant-select-status-error):not(.ant-select-status-warning):not(.ant-select-borderless):not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector{border-color:var(--MAIN_THEME_COLOR);box-shadow:0 0 0 0 transparent}.ant-select-disabled.ant-select:not(.ant-select-customize-input) .ant-select-selector{background-color:var(--MAIN_DISABLED_BG);border-color:var(--MAIN_DISABLED_BORDER)}.ant-select-multiple .ant-select-selection-item{color:var(--MAIN_THEME_COLOR);background-color:var(--HOVER_BG);align-items:center}.ant-cascader-menu-item-active:not(.ant-cascader-menu-item-disabled),.ant-cascader-menu-item-active:not(.ant-cascader-menu-item-disabled):hover,.ant-cascader-menu-item:not(.ant-cascader-menu-item-disabled):hover{background-color:var(--HOVER_BG)}eo-ng-cascader .iconpark-icon,[eo-ng-cascader] .iconpark-icon{height:var(--ICONPARK_SIZE);width:var(--ICONPARK_SIZE)}eo-ng-cascader .ant-select-arrow,eo-ng-cascader .ant-select-clear,[eo-ng-cascader] .ant-select-arrow,[eo-ng-cascader] .ant-select-clear{display:inline-flex}eo-ng-cascader .loading-icon,[eo-ng-cascader] .loading-icon{animation:loadingCircle 1s infinite linear}.ant-select-clear .iconpark-icon{height:12px;width:12px;color:var(--MAIN_TEXT)}\n"], dependencies: [{ kind: "directive", type: i1.Dir, selector: "[dir]", inputs: ["dir"], outputs: ["dirChange"], exportAs: ["dir"] }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i3$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i4.CdkConnectedOverlay, selector: "[cdk-connected-overlay], [connected-overlay], [cdkConnectedOverlay]", inputs: ["cdkConnectedOverlayOrigin", "cdkConnectedOverlayPositions", "cdkConnectedOverlayPositionStrategy", "cdkConnectedOverlayOffsetX", "cdkConnectedOverlayOffsetY", "cdkConnectedOverlayWidth", "cdkConnectedOverlayHeight", "cdkConnectedOverlayMinWidth", "cdkConnectedOverlayMinHeight", "cdkConnectedOverlayBackdropClass", "cdkConnectedOverlayPanelClass", "cdkConnectedOverlayViewportMargin", "cdkConnectedOverlayScrollStrategy", "cdkConnectedOverlayOpen", "cdkConnectedOverlayDisableClose", "cdkConnectedOverlayTransformOriginOn", "cdkConnectedOverlayHasBackdrop", "cdkConnectedOverlayLockPosition", "cdkConnectedOverlayFlexibleDimensions", "cdkConnectedOverlayGrowAfterOpen", "cdkConnectedOverlayPush"], outputs: ["backdropClick", "positionChange", "attach", "detach", "overlayKeydown", "overlayOutsideClick"], exportAs: ["cdkConnectedOverlay"] }, { kind: "directive", type: i4.CdkOverlayOrigin, selector: "[cdk-overlay-origin], [overlay-origin], [cdkOverlayOrigin]", exportAs: ["cdkOverlayOrigin"] }, { kind: "component", type: i5.NzEmbedEmptyComponent, selector: "nz-embed-empty", inputs: ["nzComponentName", "specificContent"], exportAs: ["nzEmbedEmpty"] }, { kind: "directive", type: i6.NzNoAnimationDirective, selector: "[nzNoAnimation]", inputs: ["nzNoAnimation"], exportAs: ["nzNoAnimation"] }, { kind: "directive", type: i7.NzConnectedOverlayDirective, selector: "[cdkConnectedOverlay][nzConnectedOverlay]", inputs: ["nzArrowPointAtCenter"], exportAs: ["nzConnectedOverlay"] }, { kind: "component", type: i8.NzFormItemFeedbackIconComponent, selector: "nz-form-item-feedback-icon", inputs: ["status"], exportAs: ["nzFormFeedbackIcon"] }, { kind: "component", type: CascaderOptionComponent, selector: "[eo-ng-cascader-option]" }], animations: [slideMotion], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: CascaderComponent, decorators: [{
            type: Component,
            args: [{ selector: "eo-ng-cascader, [eo-ng-cascader]", providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => CascaderComponent),
                            multi: true,
                        },
                        NzCascaderService,
                        NzDestroyService,
                    ], changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, preserveWhitespaces: false, animations: [slideMotion], host: {
                        "[attr.tabIndex]": '"0"',
                        "[class.ant-select-in-form-item]": "!!nzFormStatusService",
                        "[class.ant-select-lg]": 'nzSize === "large"',
                        "[class.ant-select-sm]": 'nzSize === "small"',
                        "[class.ant-select-allow-clear]": "nzAllowClear",
                        "[class.ant-select-show-arrow]": "nzShowArrow",
                        "[class.ant-select-show-search]": "!!nzShowSearch",
                        "[class.ant-select-disabled]": "nzDisabled",
                        "[class.ant-select-open]": "menuVisible",
                        "[class.ant-select-focused]": "isFocused",
                        "[class.ant-select-single]": "true",
                        "[class.ant-select-rtl]": `dir ==='rtl'`,
                    }, template: "<div cdkOverlayOrigin #origin=\"cdkOverlayOrigin\" #trigger>\n  <ng-container *ngIf=\"nzShowInput\">\n    <div #selectContainer class=\"ant-select-selector\">\n      <span class=\"ant-select-selection-search\">\n        <input\n          #input\n          type=\"search\"\n          class=\"ant-select-selection-search-input\"\n          [style.opacity]=\"nzShowSearch ? '' : '0'\"\n          [attr.autoComplete]=\"'off'\"\n          [attr.expanded]=\"menuVisible\"\n          [attr.autofocus]=\"nzAutoFocus ? 'autofocus' : null\"\n          [readonly]=\"!nzShowSearch\"\n          [disabled]=\"nzDisabled\"\n          [(ngModel)]=\"inputValue\"\n          (blur)=\"handleInputBlur()\"\n          (focus)=\"handleInputFocus()\"\n        />\n      </span>\n      <span\n        *ngIf=\"showLabelRender\"\n        class=\"ant-select-selection-item\"\n        [title]=\"labelRenderText\"\n      >\n        <ng-container *ngIf=\"!isLabelRenderTemplate; else labelTemplate\">{{\n          labelRenderText\n        }}</ng-container>\n        <ng-template #labelTemplate>\n          <ng-template\n            [ngTemplateOutlet]=\"nzLabelRender\"\n            [ngTemplateOutletContext]=\"labelRenderContext\"\n          ></ng-template>\n        </ng-template>\n      </span>\n      <span\n        *ngIf=\"!showLabelRender\"\n        class=\"ant-select-selection-placeholder\"\n        [style.visibility]=\"!inputValue ? 'visible' : 'hidden'\"\n        >{{\n          showPlaceholder ? nzPlaceHolder || locale.placeholder : null\n        }}</span\n      >\n    </div>\n    <span\n      class=\"ant-select-arrow\"\n      [class.ant-select-arrow-loading]=\"isLoading\"\n      *ngIf=\"nzShowArrow\"\n    >\n      <svg\n        class=\"iconpark-icon\"\n        *ngIf=\"!isLoading && menuVisible\"\n        [class.ant-cascader-picker-arrow-expand]=\"menuVisible\"\n      >\n        <use [attr.href]=\"'#' + $any(nzSuffixIcon)\"></use>\n      </svg>\n      <svg\n        class=\"iconpark-icon\"\n        *ngIf=\"!isLoading && menuVisible\"\n        [class.ant-cascader-picker-arrow-expand]=\"menuVisible\"\n      >\n        <use [attr.href]=\"'#' + $any(nzSuffixDownIcon)\"></use>\n      </svg>\n      <svg class=\"iconpark-icon loading-icon\" *ngIf=\"isLoading\">\n        <use href=\"#loading\"></use>\n      </svg>\n      <nz-form-item-feedback-icon\n        *ngIf=\"hasFeedback && !!status\"\n        [status]=\"status\"\n      ></nz-form-item-feedback-icon>\n    </span>\n    <span class=\"ant-select-clear\" *ngIf=\"clearIconVisible\">\n      <svg class=\"iconpark-icon\" (click)=\"clearSelection($event)\">\n        <use href=\"#close\"></use>\n      </svg>\n    </span>\n  </ng-container>\n  <ng-content></ng-content>\n</div>\n<ng-template\n  cdkConnectedOverlay\n  nzConnectedOverlay\n  [cdkConnectedOverlayHasBackdrop]=\"nzBackdrop\"\n  [cdkConnectedOverlayOrigin]=\"origin\"\n  [cdkConnectedOverlayPositions]=\"positions\"\n  [cdkConnectedOverlayTransformOriginOn]=\"'.ant-cascader-dropdown'\"\n  [cdkConnectedOverlayOpen]=\"menuVisible\"\n  (overlayOutsideClick)=\"onClickOutside($event)\"\n  (detach)=\"closeMenu()\"\n>\n  <div\n    class=\"ant-select-dropdown ant-cascader-dropdown ant-select-dropdown-placement-bottomLeft\"\n    [class.ant-cascader-dropdown-rtl]=\"dir === 'rtl'\"\n    [@slideMotion]=\"'enter'\"\n    [@.disabled]=\"noAnimation?.nzNoAnimation\"\n    [nzNoAnimation]=\"noAnimation?.nzNoAnimation\"\n    (mouseenter)=\"onTriggerMouseEnter()\"\n    (mouseleave)=\"onTriggerMouseLeave($event)\"\n  >\n    <div\n      #menu\n      class=\"ant-cascader-menus\"\n      [class.ant-cascader-rtl]=\"dir === 'rtl'\"\n      [class.ant-cascader-menus-hidden]=\"!menuVisible\"\n      [class.ant-cascader-menu-empty]=\"shouldShowEmpty\"\n      [ngClass]=\"menuCls\"\n      [ngStyle]=\"nzMenuStyle\"\n    >\n      <ul\n        *ngIf=\"shouldShowEmpty; else hasOptionsTemplate\"\n        class=\"ant-cascader-menu\"\n        [style.width]=\"dropdownWidthStyle\"\n        [style.height]=\"dropdownHeightStyle\"\n      >\n        <li class=\"ant-cascader-menu-item ant-cascader-menu-item-disabled\">\n          <nz-embed-empty\n            class=\"ant-cascader-menu-item-content\"\n            [nzComponentName]=\"'cascader'\"\n            [specificContent]=\"nzNotFoundContent\"\n          ></nz-embed-empty>\n        </li>\n      </ul>\n      <ng-template #hasOptionsTemplate>\n        <ul\n          *ngFor=\"let options of cascaderService.columns; let i = index\"\n          class=\"ant-cascader-menu\"\n          role=\"menuitemcheckbox\"\n          [ngClass]=\"menuColumnCls\"\n          [style.height]=\"dropdownHeightStyle\"\n          [style.width]=\"dropdownWidthStyle\"\n        >\n          <li\n            eo-ng-cascader-option\n            *ngFor=\"let option of options\"\n            [expandIcon]=\"nzExpandIcon\"\n            [columnIndex]=\"i\"\n            [nzLabelProperty]=\"nzLabelProperty\"\n            [optionTemplate]=\"nzOptionRender\"\n            [activated]=\"isOptionActivated(option, i)\"\n            [highlightText]=\"inSearchingMode ? inputValue : ''\"\n            [option]=\"option\"\n            [dir]=\"dir\"\n            (mouseenter)=\"onOptionMouseEnter(option, i, $event)\"\n            (mouseleave)=\"onOptionMouseLeave(option, i, $event)\"\n            (click)=\"onOptionClick(option, i, $event)\"\n          ></li>\n        </ul>\n      </ng-template>\n    </div>\n  </div>\n</ng-template>\n", styles: [".ant-select-selection-item{display:flex;align-items:center}.ant-select:not(.ant-select-customize-input) .ant-select-selector{background-color:var(--BTN_PRIMARY_TEXT);border-color:var(--BORDER);border-radius:var(--DEFAULT_BORDER_RADIUS)}.ant-input-group.ant-input-group-compact>.ant-cascader-picker-focused .ant-input,.ant-input-group.ant-input-group-compact>.ant-cascader-picker .ant-input,.ant-input-group.ant-input-group-compact>.ant-select .ant-select-selector{border-radius:0!important}.ant-input-group.ant-input-group-compact>.ant-cascader-picker-focused:last-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-cascader-picker:last-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select:last-child .ant-select-selector{border-top-right-radius:var(--DEFAULT_BORDER_RADIUS)!important;border-bottom-right-radius:var(--DEFAULT_BORDER_RADIUS)!important}.ant-input-group.ant-input-group-compact>.ant-cascader-picker:first-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select-auto-complete:first-child .ant-input,.ant-input-group.ant-input-group-compact>.ant-select:first-child>.ant-select-selector,.ant-input-group.ant-input-group-compact>:first-child{border-top-left-radius:var(--DEFAULT_BORDER_RADIUS)!important;border-bottom-left-radius:var(--DEFAULT_BORDER_RADIUS)!important}.ant-select:not(.ant-select-status-error):not(.ant-select-status-warning):not(.ant-select-borderless):not(.ant-select-disabled):hover .ant-select-selector{background-color:var(--BTN_PRIMARY_TEXT);border-color:var(--MAIN_THEME_COLOR);z-index:1}.ant-select-focused:not(.ant-select-status-error):not(.ant-select-status-warning):not(.ant-select-borderless):not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector{border-color:var(--MAIN_THEME_COLOR);box-shadow:0 0 0 0 transparent}.ant-select-disabled.ant-select:not(.ant-select-customize-input) .ant-select-selector{background-color:var(--MAIN_DISABLED_BG);border-color:var(--MAIN_DISABLED_BORDER)}.ant-select-multiple .ant-select-selection-item{color:var(--MAIN_THEME_COLOR);background-color:var(--HOVER_BG);align-items:center}.ant-cascader-menu-item-active:not(.ant-cascader-menu-item-disabled),.ant-cascader-menu-item-active:not(.ant-cascader-menu-item-disabled):hover,.ant-cascader-menu-item:not(.ant-cascader-menu-item-disabled):hover{background-color:var(--HOVER_BG)}eo-ng-cascader .iconpark-icon,[eo-ng-cascader] .iconpark-icon{height:var(--ICONPARK_SIZE);width:var(--ICONPARK_SIZE)}eo-ng-cascader .ant-select-arrow,eo-ng-cascader .ant-select-clear,[eo-ng-cascader] .ant-select-arrow,[eo-ng-cascader] .ant-select-clear{display:inline-flex}eo-ng-cascader .loading-icon,[eo-ng-cascader] .loading-icon{animation:loadingCircle 1s infinite linear}.ant-select-clear .iconpark-icon{height:12px;width:12px;color:var(--MAIN_TEXT)}\n"] }]
        }], propDecorators: { nzSuffixDownIcon: [{
                type: Input
            }] } });

/*
 * @Author: maggie im.ymj@hotmail.com
 * @Date: 2022-07-09 12:14:12
 * @LastEditors: maggie im.ymj@hotmail.com
 * @LastEditTime: 2022-07-11 02:54:00
 * @FilePath: /ui/projects/eo-ng-cascader/src/lib/eo-ng-cascader.module.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
class EoNgCascaderModule {
}
EoNgCascaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: EoNgCascaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
EoNgCascaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.11", ngImport: i0, type: EoNgCascaderModule, declarations: [CascaderComponent, CascaderOptionComponent], imports: [BidiModule,
        CommonModule,
        FormsModule,
        OverlayModule,
        NzOutletModule,
        NzEmptyModule,
        NzHighlightModule,
        NzIconModule,
        NzNoAnimationModule,
        NzOverlayModule,
        NzFormPatchModule,
        NzCascaderModule], exports: [CascaderComponent, CascaderOptionComponent] });
EoNgCascaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: EoNgCascaderModule, imports: [BidiModule,
        CommonModule,
        FormsModule,
        OverlayModule,
        NzOutletModule,
        NzEmptyModule,
        NzHighlightModule,
        NzIconModule,
        NzNoAnimationModule,
        NzOverlayModule,
        NzFormPatchModule,
        NzCascaderModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: EoNgCascaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CascaderComponent, CascaderOptionComponent],
                    imports: [
                        BidiModule,
                        CommonModule,
                        FormsModule,
                        OverlayModule,
                        NzOutletModule,
                        NzEmptyModule,
                        NzHighlightModule,
                        NzIconModule,
                        NzNoAnimationModule,
                        NzOverlayModule,
                        NzFormPatchModule,
                        NzCascaderModule
                    ],
                    exports: [CascaderComponent, CascaderOptionComponent]
                }]
        }] });

/*
 * @Author: maggie im.ymj@hotmail.com
 * @Date: 2022-07-09 12:14:12
 * @LastEditors: maggie im.ymj@hotmail.com
 * @LastEditTime: 2022-07-09 16:34:51
 * @FilePath: /ui/projects/eo-ng-cascader/src/public-api.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CascaderComponent, CascaderOptionComponent, EoNgCascaderModule };
//# sourceMappingURL=eo-ng-cascader.mjs.map
